%define pg_version	%(rpm -q --queryformat '%{VERSION}' postgresql-backend-devel)
%define	beta %{nil}
#
# Conditional build:
%bcond_without  raster	# disable raster support
%bcond_without	doc	# HTML documentation
%bcond_without	gui	# data import GUI
#
Summary:	Geographic Information Systems Extensions to PostgreSQL
Summary(pl.UTF-8):	Rozszerzenie do PostgreSQL wspomagające Geograficzne Systemy Informacyjne
Name:		postgis
Version:	2.1.4
Release:	1
License:	GPL v2+
Group:		Applications/Databases
Source0:	http://download.osgeo.org/postgis/source/%{name}-%{version}%{beta}.tar.gz
# Source0-md5:	6f7bacc0205859dafdfe545db1b892ca
URL:		http://postgis.refractions.net/
%{?with_raster:BuildRequires:	gdal-devel >= 1.6.0}
BuildRequires:	gdal-devel
BuildRequires:	geos-devel >= 3.3.2
BuildRequires:	json-c-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel
BuildRequires:	perl-base
BuildRequires:	postgresql-backend-devel >= 8.3
BuildRequires:	postgresql-devel >= 8.3
BuildRequires:	proj-devel >= 4.5.0
%if %{with doc}
BuildRequires:	ImageMagick
BuildRequires:	docbook-style-xsl
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-progs
%endif
%if %{with gui}
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	pkgconfig
%endif
%{?with_raster:Requires:	gdal >= 1.6.0}
Requires:	liblwgeom = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_x86_64	-fPIC

# oh well... I also don't understand this... ;)

%description
This package contains a module which implements GIS simple features,
ties the features to rtree indexing, and provides some spatial
functions for accessing and analyzing geographic data.

%description -l pl.UTF-8
Pakiet ten zawiera moduł implementujący proste funkcje GIS, wiąże je z
indeksowaniem rtree oraz dostarcza funkcje dostępu oraz analizy danych
geograficznych.

%package gui
Summary:	Data import GUI for PostGIS
Summary(pl.UTF-8):	Graficzny interfejs użytkownika importujący dane dla PostGIS-a
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2 >= 2:2.8.0

%description gui
Data import GUI for PostGIS.

%description gui -l pl.UTF-8
Graficzny interfejs użytkownika importujący dane dla PostGIS-a.

%package -n liblwgeom
Summary:	lwgeom library (a part of PostGIS project)
Summary(pl.UTF-8):	Biblioteka lwgeom (część projektu PostGIS)
Group:		Libraries
Requires:	geos >= 3.3.2
Requires:	proj >= 4.5.0
Conflicts:	postgis < 2.0.0-2

%description -n liblwgeom
lwgeom library (a part of PostGIS project).

%description -n liblwgeom -l pl.UTF-8
Biblioteka lwgeom (część projektu PostGIS).

%package -n liblwgeom-devel
Summary:	Header file for lwgeom library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki lwgeom
Group:		Development/Libraries
Requires:	geos-devel >= 3.3.2
Requires:	liblwgeom = %{version}-%{release}
Requires:	proj-devel >= 4.5.0

%description -n liblwgeom-devel
Header file for lwgeom library.

%description -n liblwgeom-devel -l pl.UTF-8
Plik nagłówkowy biblioteki lwgeom.

%package -n liblwgeom-static
Summary:	Static lwgeom library
Summary(pl.UTF-8):	Statyczna biblioteka lwgeom
Group:		Development/Libraries
Requires:	liblwgeom-devel = %{version}-%{release}

%description -n liblwgeom-static
Static lwgeom library.

%description -n liblwgeom-static -l pl.UTF-8
Statyczna biblioteka lwgeom.

%prep
%setup -q -n %{name}-%{version}%{beta}

%build
%configure \
	--with-geos \
	--with-geos-libdir=/usr/%{_lib} \
	%{?with_gui:--with-gui} \
	--with-pgsql \
	--with-proj=%{_prefix} \
	--with-proj-libdir=/usr/%{_lib} \
	%{!?with_raster:--without-raster}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n liblwgeom -p /sbin/ldconfig
%postun	-n liblwgeom -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CREDITS LICENSE.TXT NEWS README.postgis TODO %{?with_doc:doc/html}
%attr(755,root,root) %{_bindir}/pgsql2shp
%attr(755,root,root) %{_bindir}/shp2pgsql
%attr(755,root,root) %{_libdir}/postgresql/postgis-2.1.so
%{_datadir}/postgresql/contrib/postgis-2.1
%if %{with raster}
%attr(755,root,root) %{_bindir}/raster2pgsql
%attr(755,root,root) %{_libdir}/postgresql/rtpostgis-2.1.so
%{_datadir}/postgresql/extension/postgis*.control
%{_datadir}/postgresql/extension/postgis*.sql
%endif

%if %{with gui}
%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/shp2pgsql-gui
%endif

%files -n liblwgeom
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblwgeom-?.?.?.so

%files -n liblwgeom-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblwgeom.so
%{_libdir}/liblwgeom.la
%{_includedir}/liblwgeom.h

%files -n liblwgeom-static
%defattr(644,root,root,755)
%{_libdir}/liblwgeom.a
%changelog
* Tue Nov 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/postgis.git;a=log;h=master

* Tue Nov 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 404c1b7
- up to 2.1.4; fixed undefined symbol in liblwgeom

* Mon Nov 24 2014 Jan Rękorajski <baggins@pld-linux.org> 9d5295c
- one more fix for json-c 0.12
- rel 4

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> 83cabce
- fix building with json-c 0.12+
- rel 3

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> e9509c2
- rel 2

* Tue Jun 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 7d74493
- updated to 2.1.3

* Sat Apr 05 2014 Jakub Bogusz <qboosh@pld-linux.org> e17532a
- updated to 2.1.2

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> 05d861f
- release 3 (by relup.sh)

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> 027bee8
- release 2 (by relup.sh)

* Mon Nov 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 4203f72
- updated to 2.1.1

* Thu Sep 26 2013 wrobell <wrobell@pld-linux.org> 94b1d95
- ver. 2.1.0

* Sun Mar 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 8455414
- updated to 2.0.3

* Fri Dec 14 2012 wrobell <wrobell@pld-linux.org> 6157b8c
- ver. 2.0.2
- download uri changed to the osgeo one (it is official one)

* Sat Oct 20 2012 Jakub Bogusz <qboosh@pld-linux.org> 9248920
- versioned gdal runtime dependency
- package LICENSE.TXT

* Mon Sep 24 2012 wrobell <wrobell@pld-linux.org> 996ad0f
- builds with postgresql 9.2
- rel. 2

* Thu Aug 09 2012 wrobell <wrobell@pld-linux.org> fdd6c2b
- ver. 2.0.1

* Sun Apr 08 2012 Jakub Bogusz <qboosh@pld-linux.org> fc59c3d
- gtk+2 version

* Sun Apr 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 7045685
- separated liblwgeom (+ -devel,-static)
- added -gui
- release 2

* Wed Apr 04 2012 wrobell <wrobell@pld-linux.org> f2588ac
- ver. 2.0.0

* Mon Apr 02 2012 wrobell <wrobell@pld-linux.org> da37467
- simplified installation process (builds now)
- ver. 2.0.0rc2

* Fri Mar 30 2012 wrobell <wrobell@pld-linux.org> fc587bd
- started to work on postgis 2.0.0

